package db

import (
	"database/sql"
	"time"
)

type CheckedOut struct {
	ID      int64
	UWID    string
	DateOut sql.NullTime
}

type Returned struct {
	ID      int64
	UWID    string
	DateOut sql.NullTime
	DateIn  sql.NullTime
}

// TODO: NARROW THIS DATA SOMEHOW
type Book struct {
	ID              int64
	ISBN            sql.NullString
	LCCN            sql.NullString
	Title           string
	Subtitle        sql.NullString
	Authors         sql.NullString
	Edition         sql.NullString
	Publisher       sql.NullString
	PublishYear     sql.NullString `db:"publish_year"`
	PublishMonth    sql.NullString `db:"publish_month"`
	PublishLocation sql.NullString `db:"publish_location"`
	Pages           sql.NullString
	Pagination      sql.NullString
	Weight          sql.NullString
	LastUpdated     time.Time `db:"last_updated"`
	Deleted         bool
}
